Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class XSLTEngineImpl

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.XSLTEngineImpl

Deprecated. This compatibility layer will be removed in later releases.

public class XSLTEngineImpl
extends java.lang.Object
implements XSLTProcessor

The Xalan workhorse -- Collaborates with the XML parser liaison, the DOM, and the XPath engine, to transform a source tree of nodes into a result tree according to instructions and templates specified by a stylesheet tree. We suggest you use one of the static XSLTProcessorFactory getProcessor() methods to instantiate the processor and return an interface that greatly simplifies the process of manipulating XSLTEngineImpl.

The methods `process(...)` are the primary public entry points. The best way to perform transformations is to use the `XSLTProcessor.process(weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTResultTarget)` method, but you may use any of process methods defined in XSLTEngineImpl.

Please note that this class is not safe per instance over multiple threads. If you are in a multithreaded environment, you should keep a pool of these objects, or create a new one each time. In a multithreaded environment, the right way to do things is to create a StylesheetRoot via processStylesheet, and then reuse this object over multiple threads.

If you reuse the processor instance, you should call reset() between transformations.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  `XSLTProcessorFactory`, `XSLTProcessor`

Constructor Summary
`protected` | `XSLTEngineImpl()` Deprecated. Construct an XSLT processor that uses the default DTM (Document Table Model) liaison and XML parser.
`` | `XSLTEngineImpl(java.lang.String liaisonClassName)` Deprecated. Construct an XSLT processor that uses the the given parser liaison.
`` | `XSLTEngineImpl(XMLParserLiaison parserLiaison)` Deprecated. Construct an XSL processor that uses the the given parser liaison.

Method Summary
`void` | `addTraceListener(TraceListener tl)` Deprecated. Add a trace listener for the purposes of debugging and diagnosis.
`void` | `characters(char[] ch, int start, int length)` Deprecated. Receive notification of character data.
`void` | `comment(char[] ch, int start, int length)` Deprecated. Report an XML comment anywhere in the document.
`XMLParserLiaison` | `createLiaison()` Deprecated. Get a Liaison class
`StylesheetRoot` | `createStylesheetRoot(java.lang.String baseIdentifier)` Deprecated. Bottleneck the creation of the stylesheet for derivation purposes.
`XBoolean` | `createXBoolean(boolean b)` Deprecated. Convenience function to create an XBoolean.
`XNodeSet` | `createXNodeSet(org.w3c.dom.Node n)` Deprecated. Convenience function to create an XNodeSet from a node.
`XNodeSet` | `createXNodeSet(org.w3c.dom.NodeList nl)` Deprecated. Convenience function to create an XNodeSet.
`XNull` | `createXNull()` Deprecated. Convenience function to create an XNull.
`XNumber` | `createXNumber(double d)` Deprecated. Convenience function to create an XNumber.
`XObject` | `createXObject(java.lang.Object o)` Deprecated. Convenience function to create an XObject.
`XString` | `createXString(java.lang.String s)` Deprecated. Convenience function to create an XString.
`protected void` | `diag(java.lang.String s)` Deprecated. Bottleneck output of diagnostics.
`protected void` | `displayDuration(java.lang.String info, java.lang.Object key)` Deprecated. Display the duration since pushTime was called.
`void` | `endCDATA()` Deprecated. Report the end of a CDATA section.
`void` | `endDocument()` Deprecated. Receive notification of the end of a document.
`void` | `endDTD()` Deprecated. Report the end of DTD declarations.
`void` | `endElement(java.lang.String name)` Deprecated. Receive notification of the end of an element.
`void` | `endEntity(java.lang.String name)` Deprecated. Report the end of an entity.
`void` | `error(int msg)` Deprecated. Tell the user of an error, and probably throw an exception.
`void` | `error(int msg, java.lang.Exception e)` Deprecated. Tell the user of an error, and probably throw an exception.
`void` | `error(int msg, java.lang.Object[] args)` Deprecated. Tell the user of an error, and probably throw an exception.
`void` | `error(int msg, java.lang.Object[] args, java.lang.Exception e)` Deprecated. Tell the user of an error, and probably throw an exception.
`void` | `error(org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, int msg)` Deprecated. Tell the user of an error, and probably throw an exception.
`void` | `error(org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, int msg, java.lang.Object[] args)` Deprecated. Tell the user of an error, and probably throw an exception.
`void` | `error(java.lang.String msg)` Deprecated. Tell the user of an error, and probably throw an exception.
`StylesheetSpec` | `getAssociatedStylesheet(XSLTInputSource source, java.lang.String media, java.lang.String charset)` Deprecated. Get the preferred stylesheet for the XSLTInputSource XML document, as identified by the xml-stylesheet PI, and matching the media and charset criteria.
`java.util.Vector` | `getAssociatedStylesheets(XSLTInputSource source, java.lang.String media, java.lang.String charset)` Deprecated. Get a list of stylesheet specifications for the XSLTInputSource XML document, as identified by the xml-stylesheet PI, and matching the media and charset criteria.
`org.xml.sax.DocumentHandler` | `getDocumentHandler()` Deprecated. Get the current SAX DocumentHandler (the same object as the FormatterListener), or null if none has been set.
`org.xml.sax.DocumentHandler` | `getFormatterListener()` Deprecated. Get the current FormatterListener (SAX DocumentHandler), or null if none has been set.
`java.lang.String` | `getOutputFileName()` Deprecated. Get the filename of the output document, if it was set.
`ProblemListener` | `getProblemListener()` Deprecated. Get the problem listener property.
`org.w3c.dom.Node` | `getSourceTreeFromInput(XSLTInputSource inputSource)` Deprecated. Given an input source, get the source tree.
`StylesheetRoot` | `getStylesheet()` Deprecated. Get the current stylesheet for this processor.
`TransformerImpl` | `getTransformer()` Deprecated.
`TransformerFactoryImpl` | `getTransformerFactory()` Deprecated.
`static java.net.URL` | `getURLFromString(java.lang.String urlString, java.lang.String base)` Deprecated. Take a user string and try and parse XML, and also return the url.
`XMLParserLiaison` | `getXMLProcessorLiaison()` Deprecated. Get the XMLParserLiaison that this processor uses.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Deprecated. Receive notification of ignorable whitespace in element content.
`void` | `message(org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg)` Deprecated. Warn the user of an problem.
`void` | `message(java.lang.String msg)` Deprecated. Warn the user of an problem.
`void` | `process(XSLTInputSource inputSource, XSLTInputSource stylesheetSource, XSLTResultTarget outputTarget)` Deprecated. Transform the source tree to the output in the given result tree target.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Deprecated. Receive notification of a processing instruction.
`StylesheetRoot` | `processStylesheet(java.lang.String xsldocURLString)` Deprecated. Given a URI to an XSL stylesheet, Compile the stylesheet into an internal representation.
`StylesheetRoot` | `processStylesheet(XSLTInputSource stylesheetSource)` Deprecated. Given a URI to an XSL stylesheet, Compile the stylesheet into an internal representation.
`void` | `removeTraceListener(TraceListener tl)` Deprecated. Remove a trace listener.
`void` | `reset()` Deprecated. Reset the state.
`void` | `setDiagnosticsOutput(java.io.OutputStream out)` Deprecated. If this is set, diagnostics will be written to the m_diagnosticsPrintWriter stream.
`void` | `setDiagnosticsOutput(java.io.PrintWriter pw)` Deprecated. If this is set, diagnostics will be written to the m_diagnosticsPrintWriter stream.
`void` | `setDocumentHandler(org.xml.sax.DocumentHandler listener)` Deprecated. Set the current SAX DocumentHandler (the same object as the FormatterListener).
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Deprecated. Receive an object for locating the origin of SAX document events.
`void` | `setFormatterListener(org.xml.sax.DocumentHandler flistener)` Deprecated. Set the FormatterListener (the SAX DocumentHandler).
`void` | `setOutputFileName(java.lang.String filename)` Deprecated. Set the filename of the output document.
`void` | `setOutputStream(java.io.OutputStream os)` Deprecated. Set the output stream.
`void` | `setParameter(java.lang.String key, java.lang.Object value)` Deprecated. Set a top-level stylesheet parameter.
`void` | `setProblemListener(ProblemListener l)` Deprecated. Set the problem listener property.
`void` | `setQuietConflictWarnings(boolean b)` Deprecated. If set to true (the default), pattern conflict warnings are not printed to the diagnostics stream.
`void` | `setStylesheet(StylesheetRoot stylesheetRoot)` Deprecated. Set the stylesheet for this processor.
`void` | `setStylesheetParam(java.lang.String key, java.lang.String expression)` Deprecated. Set a top-level stylesheet parameter.
`void` | `setStylesheetParam(java.lang.String key, XObject value)` Deprecated. Submit a top-level stylesheet parameter.
`void` | `setTraceSelect(boolean b)` Deprecated. If this is set to true, simple traces of template calls are made.
`void` | `setTraceTemplateChildren(boolean b)` Deprecated. If this is set to true, debug diagnostics about template children as they are being constructed will be written to the m_diagnosticsPrintWriter stream.
`void` | `setTraceTemplates(boolean b)` Deprecated. If this is set to true, simple traces of template calls are made.
`void` | `startCDATA()` Deprecated. Report the start of a CDATA section.
`void` | `startDocument()` Deprecated. Receive notification of the beginning of a document.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Deprecated. Report the start of DTD declarations, if any.
`void` | `startElement(java.lang.String name, org.xml.sax.AttributeList atts)` Deprecated. Receive notification of the beginning of an element.
`void` | `startEntity(java.lang.String name)` Deprecated.
`void` | `warn(int msg)` Deprecated. Warn the user of an problem.
`void` | `warn(int msg, java.lang.Object[] args)` Deprecated. Warn the user of an problem.
`void` | `warn(org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, int msg)` Deprecated. Warn the user of an problem.
`void` | `warn(org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, int msg, java.lang.Object[] args)` Deprecated. Warn the user of an problem.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTEngineImpl

    protected XSLTEngineImpl()
                      throws org.xml.sax.SAXException

  Deprecated.
  Construct an XSLT processor that uses the default DTM (Document Table Model) liaison and XML parser. As a general rule, you should use XSLTProcessorFactory to create an instance of this class and provide access to the instance via the XSLTProcessor interface.

  See Also:
    `XSLTProcessorFactory`, `XSLTProcessor`

### XSLTEngineImpl

    public XSLTEngineImpl(java.lang.String liaisonClassName)
                   throws org.xml.sax.SAXException

  Deprecated.
  Construct an XSLT processor that uses the the given parser liaison. As a general rule, you should use XSLTProcessorFactory to create an instance of this class and provide access to the instance via the XSLTProcessor interface.

  See Also:
    `XSLTProcessorFactory`, `XSLTProcessor`

### XSLTEngineImpl

    public XSLTEngineImpl(XMLParserLiaison parserLiaison)
                   throws org.xml.sax.SAXException

  Deprecated.
  Construct an XSL processor that uses the the given parser liaison. As a general rule, you should use XSLTProcessorFactory to create an instance of this class and provide access to the instance via the XSLTProcessor interface.

  Parameters:
    `XMLParserLiaison` - A liaison to an XML parser.
  See Also:
    `XMLParserLiaison`, `XSLTProcessorFactory`, `XSLTProcessor`

Method Detail

### createLiaison

    public XMLParserLiaison createLiaison()
                                   throws org.xml.sax.SAXException

  Deprecated.
  Get a Liaison class

### reset

    public void reset()

  Deprecated.
  Reset the state. This needs to be called after a process() call is invoked, if the processor is to be used again.
  Specified by:
    reset in interface XSLTProcessor

### process

    public void process(XSLTInputSource inputSource,
                        XSLTInputSource stylesheetSource,
                        XSLTResultTarget outputTarget)
                 throws org.xml.sax.SAXException

  Deprecated.
  Transform the source tree to the output in the given result tree target. As a general rule, we recommend you use the `XSLTProcessor.process(weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTInputSource, weblogic.apache.xalan.xslt.XSLTResultTarget)` method.
  Specified by:
    process in interface XSLTProcessor

  Parameters:
    `inputSource` - The input source.
    `stylesheetSource` - The stylesheet source. May be null if source has a xml-stylesheet PI.
    `outputTarget` - The output source tree.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### createStylesheetRoot

    public StylesheetRoot createStylesheetRoot(java.lang.String baseIdentifier)
                                        throws java.net.MalformedURLException,
                                               java.io.FileNotFoundException,
                                               java.io.IOException,
                                               org.xml.sax.SAXException

  Deprecated.
  Bottleneck the creation of the stylesheet for derivation purposes.

### processStylesheet

    public StylesheetRoot processStylesheet(XSLTInputSource stylesheetSource)
                                     throws org.xml.sax.SAXException

  Deprecated.
  Given a URI to an XSL stylesheet, Compile the stylesheet into an internal representation. This calls reset() before processing if the stylesheet root has been set to non-null.
  Specified by:
    processStylesheet in interface XSLTProcessor

  Parameters:
    `xmldocURLString` - The URL to the input XML document.
  Returns:
    The compiled stylesheet object.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### processStylesheet

    public StylesheetRoot processStylesheet(java.lang.String xsldocURLString)
                                     throws org.xml.sax.SAXException

  Deprecated.
  Given a URI to an XSL stylesheet, Compile the stylesheet into an internal representation. This calls reset() before processing if the stylesheet root has been set to non-null.
  Specified by:
    processStylesheet in interface XSLTProcessor

  Parameters:
    `xmldocURLString` - The URL to the input XML document.
  Returns:
    The compiled stylesheet object.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### setStylesheet

    public void setStylesheet(StylesheetRoot stylesheetRoot)

  Deprecated.
  Set the stylesheet for this processor. If this is set, then the process calls that take only the input .xml will use this instead of looking for a stylesheet PI. Also, setting the stylesheet is needed if you are going to use the processor as a SAX DocumentHandler.
  Specified by:
    setStylesheet in interface XSLTProcessor

### getStylesheet

    public StylesheetRoot getStylesheet()

  Deprecated.
  Get the current stylesheet for this processor.
  Specified by:
    getStylesheet in interface XSLTProcessor

### getOutputFileName

    public java.lang.String getOutputFileName()

  Deprecated.
  Get the filename of the output document, if it was set. This is for use by multiple output documents, to determine the base directory for the output document. It needs to be set by the caller.

### setOutputFileName

    public void setOutputFileName(java.lang.String filename)

  Deprecated.
  Set the filename of the output document. This is for use by multiple output documents, to determine the base directory for the output document. It needs to be set by the caller.

### getSourceTreeFromInput

    public org.w3c.dom.Node getSourceTreeFromInput(XSLTInputSource inputSource)
                                            throws org.xml.sax.SAXException

  Deprecated.
  Given an input source, get the source tree.
  Specified by:
    getSourceTreeFromInput in interface XSLTProcessor

### getURLFromString

    public static java.net.URL getURLFromString(java.lang.String urlString,
                                                java.lang.String base)
                                         throws org.xml.sax.SAXException

  Deprecated.
  Take a user string and try and parse XML, and also return the url.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### message

    public void message(java.lang.String msg)
                 throws org.xml.sax.SAXException

  Deprecated.
  Warn the user of an problem. This is public for access by extensions.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### message

    public void message(org.w3c.dom.Node styleNode,
                        org.w3c.dom.Node sourceNode,
                        java.lang.String msg)
                 throws org.xml.sax.SAXException

  Deprecated.
  Warn the user of an problem. This is public for access by extensions.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### warn

    public void warn(int msg)
              throws org.xml.sax.SAXException

  Deprecated.
  Warn the user of an problem.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### warn

    public void warn(int msg,
                     java.lang.Object[] args)
              throws org.xml.sax.SAXException

  Deprecated.
  Warn the user of an problem.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### warn

    public void warn(org.w3c.dom.Node styleNode,
                     org.w3c.dom.Node sourceNode,
                     int msg)
              throws org.xml.sax.SAXException

  Deprecated.
  Warn the user of an problem.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### warn

    public void warn(org.w3c.dom.Node styleNode,
                     org.w3c.dom.Node sourceNode,
                     int msg,
                     java.lang.Object[] args)
              throws org.xml.sax.SAXException

  Deprecated.
  Warn the user of an problem.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### error

    public void error(java.lang.String msg)
               throws org.xml.sax.SAXException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### error

    public void error(int msg)
               throws org.xml.sax.SAXException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### error

    public void error(int msg,
                      java.lang.Object[] args)
               throws org.xml.sax.SAXException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### error

    public void error(int msg,
                      java.lang.Exception e)
               throws org.xml.sax.SAXException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### error

    public void error(int msg,
                      java.lang.Object[] args,
                      java.lang.Exception e)
               throws org.xml.sax.SAXException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### error

    public void error(org.w3c.dom.Node styleNode,
                      org.w3c.dom.Node sourceNode,
                      int msg)
               throws org.xml.sax.SAXException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### error

    public void error(org.w3c.dom.Node styleNode,
                      org.w3c.dom.Node sourceNode,
                      int msg,
                      java.lang.Object[] args)
               throws org.xml.sax.SAXException

  Deprecated.
  Tell the user of an error, and probably throw an exception.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

### displayDuration

    protected void displayDuration(java.lang.String info,
                                   java.lang.Object key)

  Deprecated.
  Display the duration since pushTime was called.

### setDiagnosticsOutput

    public void setDiagnosticsOutput(java.io.OutputStream out)

  Deprecated.
  If this is set, diagnostics will be written to the m_diagnosticsPrintWriter stream. If the value is null, then diagnostics will be turned off.
  Specified by:
    setDiagnosticsOutput in interface XSLTProcessor

### setDiagnosticsOutput

    public void setDiagnosticsOutput(java.io.PrintWriter pw)

  Deprecated.
  If this is set, diagnostics will be written to the m_diagnosticsPrintWriter stream. If the value is null, then diagnostics will be turned off.
  Specified by:
    setDiagnosticsOutput in interface XSLTProcessor

### diag

    protected void diag(java.lang.String s)

  Deprecated.
  Bottleneck output of diagnostics.

### setTraceTemplates

    public void setTraceTemplates(boolean b)

  Deprecated.
  If this is set to true, simple traces of template calls are made.
  Specified by:
    setTraceTemplates in interface XSLTProcessor

### setTraceSelect

    public void setTraceSelect(boolean b)

  Deprecated.
  If this is set to true, simple traces of template calls are made.
  Specified by:
    setTraceSelect in interface XSLTProcessor

### setTraceTemplateChildren

    public void setTraceTemplateChildren(boolean b)

  Deprecated.
  If this is set to true, debug diagnostics about template children as they are being constructed will be written to the m_diagnosticsPrintWriter stream. diagnoseTemplateChildren is false by default.
  Specified by:
    setTraceTemplateChildren in interface XSLTProcessor

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Deprecated.
  Report the start of DTD declarations, if any.

  Any declarations are assumed to be in the internal subset unless otherwise indicated by a startEntity event.

  Note that the start/endDTD events will appear within the start/endDocument events from ContentHandler and before the first startElement event.

  Parameters:
    `name` - The document type name.
    `publicId` - The declared public identifier for the external DTD subset, or null if none was declared.
    `systemId` - The declared system identifier for the external DTD subset, or null if none was declared.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endDTD()`, `startEntity(java.lang.String)`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Deprecated.
  Report the end of DTD declarations.

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startDTD(java.lang.String, java.lang.String, java.lang.String)`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Deprecated.

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Deprecated.
  Report the end of an entity.

  Parameters:
    `name` - The name of the entity that is ending.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startEntity(java.lang.String)`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Deprecated.
  Report the start of a CDATA section.

  The contents of the CDATA section will be reported through the regular characters event.

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endCDATA()`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Deprecated.
  Report the end of a CDATA section.

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startCDATA()`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Deprecated.
  Report an XML comment anywhere in the document.

  This callback will be used for comments inside or outside the document element, including comments in the external DTD subset (if read).

  Parameters:
    `ch` - An array holding the characters in the comment.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Deprecated.
  Receive an object for locating the origin of SAX document events.

  SAX parsers are strongly encouraged (though not absolutely required) to supply a locator: if it does so, it must supply the locator to the application by invoking this method before invoking any of the other methods in the DocumentHandler interface.

  The locator allows the application to determine the end position of any document-related event, even if the parser is not reporting an error. Typically, the application will use this information for reporting its own errors (such as character content that does not match an application's business rules). The information returned by the locator is probably not sufficient for use with a search engine.

  Note that the locator will return correct information only during the invocation of the events in this interface. The application should not attempt to use it at any other time.

  Parameters:
    `locator` - An object that can return the location of any SAX document event.
  See Also:
    `Locator`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Deprecated.
  Receive notification of the beginning of a document.

  The SAX parser will invoke this method only once, before any other methods in this interface or in DTDHandler (except for setDocumentLocator).

  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Deprecated.
  Receive notification of the end of a document.

  The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.

  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### startElement

    public void startElement(java.lang.String name,
                             org.xml.sax.AttributeList atts)
                      throws org.xml.sax.SAXException

  Deprecated.
  Receive notification of the beginning of an element.

  The Parser will invoke this method at the beginning of every element in the XML document; there will be a corresponding endElement() event for every startElement() event (even when the element is empty). All of the element's content will be reported, in order, before the corresponding endElement() event.

  If the element name has a namespace prefix, the prefix will still be attached. Note that the attribute list provided will contain only attributes with explicit values (specified or defaulted): #IMPLIED attributes will be omitted.

  Parameters:
    `name` - The element type name.
    `atts` - The attributes attached to the element, if any.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `endElement(java.lang.String)`, `AttributeList`

### endElement

    public void endElement(java.lang.String name)
                    throws org.xml.sax.SAXException

  Deprecated.
  Receive notification of the end of an element.

  The SAX parser will invoke this method at the end of every element in the XML document; there will be a corresponding startElement() event for every endElement() event (even when the element is empty).

  If the element name has a namespace prefix, the prefix will still be attached to the name.

  Parameters:
    `name` - The element type name
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Deprecated.
  Receive notification of character data.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ignorableWhitespace(char[], int, int)`, `Locator`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Deprecated.
  Receive notification of ignorable whitespace in element content.

  Validating Parsers must use this method to report each chunk of ignorable whitespace (see the W3C XML 1.0 recommendation, section 2.10): non-validating parsers may also use this method if they are capable of parsing and using content models.

  SAX parsers may return all contiguous whitespace in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `characters(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Deprecated.
  Receive notification of a processing instruction.

  The Parser will invoke this method once for each processing instruction found: note that processing instructions may occur before or after the main document element.

  A SAX parser should never report an XML declaration (XML 1.0, section 2.8) or a text declaration (XML 1.0, section 4.3.1) using this method.

  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none was supplied.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### setOutputStream

    public void setOutputStream(java.io.OutputStream os)

  Deprecated.
  Set the output stream. Required when the XSLTProcessor is being used as a SAX DocumentHandler.
  Specified by:
    setOutputStream in interface XSLTProcessor

### createXString

    public XString createXString(java.lang.String s)

  Deprecated.
  Convenience function to create an XString.
  Specified by:
    createXString in interface XSLTProcessor

  Parameters:
    `s` - A valid string.
  Returns:
    An XString object.

### createXObject

    public XObject createXObject(java.lang.Object o)

  Deprecated.
  Convenience function to create an XObject.
  Specified by:
    createXObject in interface XSLTProcessor

  Parameters:
    `o` - Any java object.
  Returns:
    An XObject object.

### createXNumber

    public XNumber createXNumber(double d)

  Deprecated.
  Convenience function to create an XNumber.
  Specified by:
    createXNumber in interface XSLTProcessor

  Parameters:
    `d` - Any double number.
  Returns:
    An XNumber object.

### createXBoolean

    public XBoolean createXBoolean(boolean b)

  Deprecated.
  Convenience function to create an XBoolean.
  Specified by:
    createXBoolean in interface XSLTProcessor

  Parameters:
    `b` - boolean value.
  Returns:
    An XBoolean object.

### createXNodeSet

    public XNodeSet createXNodeSet(org.w3c.dom.NodeList nl)

  Deprecated.
  Convenience function to create an XNodeSet.
  Specified by:
    createXNodeSet in interface XSLTProcessor

  Parameters:
    `nl` - A NodeList object.
  Returns:
    An XNodeSet object.

### createXNodeSet

    public XNodeSet createXNodeSet(org.w3c.dom.Node n)

  Deprecated.
  Convenience function to create an XNodeSet from a node.
  Specified by:
    createXNodeSet in interface XSLTProcessor

  Parameters:
    `n` - A DOM node.
  Returns:
    An XNodeSet object.

### createXNull

    public XNull createXNull()

  Deprecated.
  Convenience function to create an XNull.
  Specified by:
    createXNull in interface XSLTProcessor

  Returns:
    An XNull object.

### getXMLProcessorLiaison

    public XMLParserLiaison getXMLProcessorLiaison()

  Deprecated.
  Get the XMLParserLiaison that this processor uses.
  Specified by:
    getXMLProcessorLiaison in interface XSLTProcessor

### getAssociatedStylesheet

    public StylesheetSpec getAssociatedStylesheet(XSLTInputSource source,
                                                  java.lang.String media,
                                                  java.lang.String charset)
                                           throws org.xml.sax.SAXException

  Deprecated.
  Get the preferred stylesheet for the XSLTInputSource XML document, as identified by the xml-stylesheet PI, and matching the media and charset criteria. See Associating Style Sheets with XML documents. Does not yet handle the LINK REL="stylesheet" syntax.
  Specified by:
    getAssociatedStylesheet in interface XSLTProcessor

  Parameters:
    `media` - The media attribute to be matched. May be null, in which case the prefered stylesheet will be used (i.e., alternate = no).
    `title` - The value of the title attribute to match. May be null.
    `charset` - The value of the charset attribute to match. May be null.

### getAssociatedStylesheets

    public java.util.Vector getAssociatedStylesheets(XSLTInputSource source,
                                                     java.lang.String media,
                                                     java.lang.String charset)
                                              throws org.xml.sax.SAXException

  Deprecated.
  Get a list of stylesheet specifications for the XSLTInputSource XML document, as identified by the xml-stylesheet PI, and matching the media and charset criteria. See Associating Style Sheets with XML documents. Does not yet handle the LINK REL="stylesheet" syntax.
  Specified by:
    getAssociatedStylesheets in interface XSLTProcessor

  Parameters:
    `media` - The media attribute to be matched. May be null, in which case the prefered stylesheet will be used (i.e., alternate = no).
    `title` - The value of the title attribute to match. May be null.
    `charset` - The value of the charset attribute to match. May be null.

### setStylesheetParam

    public void setStylesheetParam(java.lang.String key,
                                   XObject value)

  Deprecated.
  Submit a top-level stylesheet parameter. This value can be evaluated in the stylesheet via xsl:param-variable.
  Specified by:
    setStylesheetParam in interface XSLTProcessor

  Parameters:
    `key` - The name of the param.
    `value` - An XObject that will be used.

### setStylesheetParam

    public void setStylesheetParam(java.lang.String key,
                                   java.lang.String expression)

  Deprecated.
  Set a top-level stylesheet parameter. This value can be evaluated via xsl:param-variable. Note that the value passed is an expression, and not a string. This means that setStylesheetParam("foo", "hello"); will look for the element "hello". If you want to pass a string, you'll need to put quotes around it: setStylesheetParam("foo", "'hello'"); will look for the
  Specified by:
    setStylesheetParam in interface XSLTProcessor

  Parameters:
    `key` - The name of the param.
    `expression` - An expression that will be evaluated.

### setParameter

    public void setParameter(java.lang.String key,
                             java.lang.Object value)

  Deprecated.
  Set a top-level stylesheet parameter. This value can be evaluated via xsl:param-variable. Note that the value passed is an expression, and not a string. This means that setStylesheetParam("foo", "hello"); will look for the element "hello". If you want to pass a string, you'll need to put quotes around it: setStylesheetParam("foo", "'hello'"); will look for the

  Parameters:
    `key` - The name of the param.
    `expression` - An expression that will be evaluated.

### getFormatterListener

    public org.xml.sax.DocumentHandler getFormatterListener()

  Deprecated.
  Get the current FormatterListener (SAX DocumentHandler), or null if none has been set.
  Specified by:
    getFormatterListener in interface XSLTProcessor

### setFormatterListener

    public void setFormatterListener(org.xml.sax.DocumentHandler flistener)

  Deprecated.
  Set the FormatterListener (the SAX DocumentHandler).
  Specified by:
    setFormatterListener in interface XSLTProcessor

### getDocumentHandler

    public org.xml.sax.DocumentHandler getDocumentHandler()

  Deprecated.
  Get the current SAX DocumentHandler (the same object as the FormatterListener), or null if none has been set.
  Specified by:
    getDocumentHandler in interface XSLTProcessor

### setDocumentHandler

    public void setDocumentHandler(org.xml.sax.DocumentHandler listener)

  Deprecated.
  Set the current SAX DocumentHandler (the same object as the FormatterListener).
  Specified by:
    setDocumentHandler in interface XSLTProcessor

### addTraceListener

    public void addTraceListener(TraceListener tl)
                          throws java.util.TooManyListenersException

  Deprecated.
  Add a trace listener for the purposes of debugging and diagnosis.
  Specified by:
    addTraceListener in interface XSLTProcessor

  Parameters:
    `tl` - Trace listener to be added.

### setQuietConflictWarnings

    public void setQuietConflictWarnings(boolean b)

  Deprecated.
  If set to true (the default), pattern conflict warnings are not printed to the diagnostics stream.
  Specified by:
    setQuietConflictWarnings in interface XSLTProcessor

  Parameters:
    `b` - true if conflict warnings should be suppressed.

### removeTraceListener

    public void removeTraceListener(TraceListener tl)

  Deprecated.
  Remove a trace listener.
  Specified by:
    removeTraceListener in interface XSLTProcessor

  Parameters:
    `tl` - Trace listener to be removed.

### setProblemListener

    public void setProblemListener(ProblemListener l)

  Deprecated.
  Set the problem listener property. The XSL class can have a single listener to be informed of errors and warnings. The problem listener normally controls whether an exception is thrown or not (or the problem listeners can throw its own RuntimeException).
  Specified by:
    setProblemListener in interface XSLTProcessor

  Parameters:
    `l` - A ProblemListener interface.

### getProblemListener

    public ProblemListener getProblemListener()

  Deprecated.
  Get the problem listener property. The XSL class can have a single listener to be informed of errors and warnings. The problem listener normally controls whether an exception is thrown or not (or the problem listener can throw its own RuntimeException).
  Specified by:
    getProblemListener in interface XSLTProcessor

  Returns:
    A ProblemListener interface.

### getTransformer

    public TransformerImpl getTransformer()

  Deprecated.

### getTransformerFactory

    public TransformerFactoryImpl getTransformerFactory()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference